Starmade | Nullpointer with displays
Closed, FinishedPublic

Description

[2017-05-07 22:08:30] java.lang.NullPointerException
[2017-05-07 22:08:30] 	at obfuscated.aIy.e_(SourceFile:180)
[2017-05-07 22:08:30] 	at obfuscated.Vz.a(SourceFile:304)
[2017-05-07 22:08:30] 	at obfuscated.hA.e(SourceFile:1738)
[2017-05-07 22:08:30] 	at obfuscated.hU.e_(SourceFile:402)
[2017-05-07 22:08:30] 	at obfuscated.hv.e(SourceFile:566)
[2017-05-07 22:08:30] 	at obfuscated.hv.b(SourceFile:742)
[2017-05-07 22:08:30] 	at obfuscated.hv.e_(SourceFile:439)
[2017-05-07 22:08:30] 	at obfuscated.aFN.g(SourceFile:546)
[2017-05-07 22:08:30] 	at obfuscated.aFN.a(SourceFile:687)
[2017-05-07 22:08:30] 	at obfuscated.aFT.b(SourceFile:703)
[2017-05-07 22:08:30] 	at obfuscated.V.e(SourceFile:1110)
[2017-05-07 22:08:30] 	at org.schema.game.common.Starter.startMainMenu(SourceFile:1489)
[2017-05-07 22:08:30] 	at org.schema.game.common.Starter.main(SourceFile:1034)

logstarmade.0 (1).log502 KB

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.535
Category
Engine
First occurrence (version)
0.199.535
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce

Don't know how to reproduce

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.May 9 2017, 9:44 AM
Restricted Application added a project: Engine. · View Herald TranscriptMay 9 2017, 9:44 AM
schema changed the task status from "In Queue" to "Resolved".Jun 27 2017, 1:48 PM
schema added a subscriber: schema.

possibly resolved or at least catched for more debug information

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 27 2017, 1:48 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript

Good enough then, no idea how to reproduce so can't check.

We get NullPointerExceptions very often just by placing the display module somewhere.
And also, when the display modules get loaded or you get close to it. We kept crashing in relatively short intervals, so we removed them all.

AndyP added a comment.Jul 2 2017, 9:12 PM

@happahappa

Any log entry for this on either server or client side?

lancake closed this task as "Closed".Jul 7 2017, 12:34 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
AndyP moved this task from Unclassed to Archived on the Starmade board.Jul 20 2017, 10:42 PM